<html devsite><head>
    <title>Android 安全公告 - 2016 年 11 月</title>
    <meta name="project_path" value="/_project.yaml"/>
    <meta name="book_path" value="/_book.yaml"/>
  </head>
  <body>
  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->

<p><em>发布时间：2016 年 11 月 7 日 | 更新时间：2016 年 12 月 21 日</em></p>
<p>
本 Android 安全公告详细介绍了会影响 Android 设备的安全漏洞。在发布本公告的同时，我们还通过无线下载 (OTA) 更新的方式发布了针对 Google 设备的安全更新。我们还在 <a href="https://developers.google.com/android/nexus/images">Google Developers 网站</a>上发布了 Google 设备固件映像。安全补丁程序级别为 2016 年 11 月 6 日或更新的 Android 系统都已解决本公告中所述的所有问题。请参阅 <a href="https://support.google.com/pixelphone/answer/4457705#pixel_phones&nexus_devices">Pixel 和 Nexus 更新时间表</a>，了解如何查看设备的安全补丁程序级别。</p>
<p>
合作伙伴在 2016 年 10 月 20 日或之前就已收到关于本公告中所述问题的通知。我们已将针对这些问题的源代码补丁程序发布到 Android 开源项目 (AOSP) 代码库中（如果适用）。本公告中还提供了指向 AOSP 之外的补丁程序的链接。
</p>
<p>
这些问题中危险性最高的是一个严重程度为“严重”的安全漏洞。在系统处理媒体文件时，攻击者可以利用该漏洞通过多种方式（例如电子邮件、网页浏览和彩信等）在受影响的设备上远程执行代码。<a href="/security/overview/updates-resources.html#severity">严重程度评估</a>的依据是漏洞被利用后可能会对受影响的设备造成的影响（假设相关平台和服务缓解措施被成功规避或出于开发目的而被停用）。</p>
<p>
尚未有人向我们举报过有用户主动利用或滥用这些新报告的问题。请参阅 <a href="#mitigations">Android 和 Google 服务缓解措施</a>部分，详细了解有助于提高 Android 平台安全性的 <a href="/security/enhancements/index.html">Android 安全平台防护功能</a>和服务防护功能（如 <a href="https://developer.android.com/training/safetynet/index.html">SafetyNet</a>）。</p>
<p>
我们建议所有用户都在自己的设备上接受这些更新。</p>
<h2 id="announcements">通告</h2>
<ul>
 <li>由于我们推出了 Pixel 和 Pixel XL 设备，因此我们将改用“Google 设备”（而不是“Nexus 设备”）这个术语代表 <a href="#google-devices">Google 支持的所有设备</a>。
 </li>
 <li>本公告有 3 个安全补丁程序级别，目的是让 Android 合作伙伴能够灵活地、更快速地修复在各种 Android 设备上类似的一系列漏洞。如需了解详情，请参阅<a href="#common-questions-and-answers">常见问题和解答</a>：
  <ul>
   <li><strong>2016-11-01</strong>：部分安全补丁程序级别。该安全补丁程序级别表明 2016-11-01（以及之前的所有安全补丁程序级别）涵盖的所有问题均已得到解决。</li>
   <li><strong>2016-11-05</strong>：完整安全补丁程序级别。该安全补丁程序级别表明 2016-11-01 和 2016-11-05（以及之前的所有安全补丁程序级别）涵盖的所有问题均已得到解决。</li>
   <li><strong>补充安全补丁程序级别</strong>
    <p>我们还提供了补充安全补丁程序级别，以用于标识设备包含我们在确定补丁程序级别后又公开披露的问题的修复程序。在 2016-12-01 安全补丁程序级别发布之前，这些最新披露的漏洞并非必须解决。
    </p>
    <ul>
     <li><strong>2016-11-06</strong>：该安全补丁程序级别表明设备已解决 2016-11-05 涵盖的所有问题以及 2016 年 10 月 19 日公开披露的 CVE-2016-5195。</li>
    </ul>
   </li>
  </ul>
</li>
<li>受支持的 Google 设备将会收到一个安全补丁程序级别为 2016 年 11 月 5 日的 OTA 更新。</li>
</ul>

<h2 id="mitigations">Android 和 Google 服务缓解措施</h2>
<p>
这一部分总结了 <a href="/security/enhancements/index.html">Android 安全平台</a>和服务防护功能（如 SafetyNet）提供的缓解措施。这些功能有助于降低 Android 上的安全漏洞被成功利用的可能性。</p>
<ul>
  <li>较高版本的 Android 平台中提供的增强功能让攻击者更加难以利用 Android 上存在的许多问题。我们建议所有用户都尽可能更新到最新版 Android。</li>
  <li>Android 安全团队会积极利用<a href="http://static.googleusercontent.com/media/source.android.com/en//security/reports/Google_Android_Security_2015_Report_Final.pdf">“验证应用”功能和 SafetyNet</a> 监控滥用行为，这些功能会在发现<a href="http://static.googleusercontent.com/media/source.android.com/en//security/reports/Google_Android_Security_PHA_classifications.pdf">可能有害的应用</a>时向用户发出警告。在安装有 <a href="http://www.android.com/gms">Google 移动服务</a>的设备上，“验证应用”功能会默认处于启用状态，对于从 Google Play 以外的来源安装应用的用户来说，该功能尤为重要。Google Play 中禁止提供能够获取设备 root 权限的工具，当用户尝试安装被检测出能够获取 root 权限的应用时（无论应用来自何处），“验证应用”功能会向用户发出警告。另外，“验证应用”功能还会尝试识别并阻止用户安装会利用提权漏洞的已知恶意应用。如果用户已安装此类应用，那么“验证应用”功能将会通知用户，并尝试移除检测出的恶意应用。</li>
  <li>由于已做了适当更新，因此 Google 环聊和 Messenger 应用不会自动将媒体内容传递给 Mediaserver 之类的进程。</li>
</ul>
<h2 id="acknowledgements">致谢</h2>
<p>
我们衷心感谢以下研究人员做出的贡献：</p>
<ul>
  <li>Google Chrome 安全团队的 Abhishek Arya、Oliver Chang 和 Martin Barbella：CVE-2016-6722</li>
  <li>Google 的 Andrei Kapishnikov 和 Miriam Gershenson：CVE-2016-6703</li>
  <li>无声信息技术 <a href="http://www.pkav.net">PKAV</a> 的 Ao Wang (<a href="https://twitter.com/ArayzSegment">@ArayzSegment</a>) 和 <a href="http://weibo.com/ele7enxxh">Zinuo Han</a>：CVE-2016-6700、CVE-2016-6702</li>
  <li>腾讯安全平台部门的 Askyshang：CVE-2016-6713</li>
  <li>Android 安全团队的 Billy Lau：CVE-2016-6737</li>
  <li>比雷埃夫斯大学的 <a href="mailto:kpatsak@unipi.gr">Constantinos Patsakis</a> 和 <a href="mailto:talepis@unipi.gr">Efthimios Alepis</a>：CVE-2016-6715</li>
  <li>阿里巴巴移动安全团队的 dragonltx：CVE-2016-6714</li>
  <li>Project Zero 的 Gal Beniamini：CVE-2016-6707、CVE-2016-6717</li>
  <li><a href="http://www.360.com">奇虎 360 科技有限公司</a> IceSword 实验室的 Gengjia Chen (<a href="http://twitter.com/chengjia4574">@chengjia4574</a>) 和 <a href="http://weibo.com/jfpan">pjf</a>：CVE-2016-6725、CVE-2016-6738、CVE-2016-6740、CVE-2016-6741、CVE-2016-6742、CVE-2016-6744、CVE-2016-6745、CVE-2016-3906</li>
  <li><a href="http://www.360.com">奇虎 360 科技有限公司</a> Alpha 团队的龚广 (<a href="http://twitter.com/oldfresher">@oldfresher</a>)：CVE-2016-6754</li>
  <li><a href="http://www.360.com">奇虎 360 科技有限公司</a> IceSword 实验室的 Jianqiang Zhao (<a href="http://twitter.com/jianqiangzhao">@jianqiangzhao</a>) 和 <a href="http://weibo.com/jfpan">pjf</a>：CVE-2016-6739、CVE-2016-3904、CVE-2016-3907、CVE-2016-6698</li>
  <li>腾讯科恩实验室 (<a href="http://twitter.com/keen_lab">@keen_lab</a>) 的 Marco Grassi (<a href="http://twitter.com/marcograss">@marcograss</a>)：CVE-2016-6828</li>
  <li>Project Zero 的 Mark Brand：CVE-2016-6706</li>
  <li>Google 的 Mark Renouf：CVE-2016-6724</li>
  <li>Michał Bednarski (<a href="https://github.com/michalbednarski">github.com/michalbednarski</a>)：CVE-2016-6710</li>
  <li>Android 安全团队的 Min Chong：CVE-2016-6743</li>
  <li>趋势科技的 Peter Pi (<a href="http://twitter.com/heisecode">@heisecode</a>)：CVE-2016-6721</li>
  <li>腾讯科恩实验室的何淇丹 (<a href="http://twitter.com/flanker_hqd">@flanker_hqd</a>) 和刘耕铭 (<a href="http://twitter.com/dmxcsnsbh">@dmxcsnsbh</a>)：CVE-2016-6705</li>
  <li>Google 的 Robin Lee：CVE-2016-6708</li>
  <li><a href="mailto:sbauer@plzdonthack.me">Scott Bauer</a> (<a href="http://twitter.com/ScottyBauer1">@ScottyBauer1</a>)：CVE-2016-6751</li>
  <li>卡巴斯基实验室的 Sergey Bobrov (<a href="http://twitter.com/Black2Fan">@Black2Fan</a>)：CVE-2016-6716</li>
  <li>趋势科技移动威胁研究团队的 Seven Shen (<a href="http://twitter.com/lingtongshen">@lingtongshen</a>)：CVE-2016-6748、CVE-2016-6749、CVE-2016-6750、CVE-2016-6753</li>
  <li>阿姆斯特丹自由大学的 Victor van der Veen、Herbert Bos、Kaveh Razavi 和 Cristiano Giuffrida 以及加州大学圣巴巴拉分校的 Yanick Fratantonio、Martina Lindorfer 和 Giovanni Vigna：CVE-2016-6728</li>
  <li>阿里巴巴的 Weichao Sun (<a href="https://twitter.com/sunblate">@sunblate</a>)：CVE-2016-6712、CVE-2016-6699、CVE-2016-6711</li>
  <li><a href="http://c0reteam.org">C0RE 团队</a>的 Wenke Dou (<a href="mailto:vancouverdou@gmail.com">vancouverdou@gmail.com</a>)、Chiachih Wu (<a href="https://twitter.com/chiachih_wu">@chiachih_wu</a>) 和 Xuxian Jiang：CVE-2016-6720</li>
  <li>趋势科技的吴潍浠 (<a href="http://twitter.com/wish_wu">@wish_wu</a>)：CVE-2016-6704</li>
  <li><a href="https://wwws.nightwatchcybersecurity.com">Nightwatch Cybersecurity</a> 的 Yakov Shafranovich：CVE-2016-6723</li>
  <li><a href="http://c0reteam.org">C0RE 团队</a>的 <a href="mailto:computernik@gmail.com">Yuan-Tsung Lo</a>、<a href="mailto:yaojun8558363@gmail.com">Yao Jun</a>、<a href="mailto:segfault5514@gmail.com">Tong Lin</a>、Chiachih Wu (<a href="https://twitter.com/chiachih_wu">@chiachih_wu</a>) 和 Xuxian Jiang：CVE-2016-6730、CVE-2016-6732、CVE-2016-6734、CVE-2016-6736</li>
  <li><a href="http://c0reteam.org">C0RE 团队</a>的 <a href="mailto:computernik@gmail.com">Yuan-Tsung Lo</a>、<a href="mailto:yaojun8558363@gmail.com">Yao Jun</a>、<a href="mailto:wisedd@gmail.com">Xiaodong Wang</a>、Chiachih Wu (<a href="https://twitter.com/chiachih_wu">@chiachih_wu</a>) 和 Xuxian Jiang：CVE-2016-6731、CVE-2016-6733、CVE-2016-6735、CVE-2016-6746</li>
</ul>
<p>
此外，我们还要感谢 Android 安全团队的 Zach Riggle 对本公告中的几个问题做出的贡献。</p>

<h2 id="2016-11-01-details">2016-11-01 安全补丁程序级别 - 漏洞详情</h2>
<p>
我们在下面提供了 2016-11-01 补丁程序级别涵盖的每个安全漏洞的详细信息，其中包括问题描述、严重程度阐释和一个表，该表中包含 CVE、相关参考内容、严重程度、已更新的 Google 设备、已更新的 AOSP 版本（如果适用）及报告日期。如果有解决相应问题的公开更改记录（例如 AOSP 代码更改列表），我们会将 Bug ID 链接到该记录。如果某个 Bug 有多条相关的更改记录，我们还将通过 Bug ID 后面的数字链接到更多参考内容。</p>

<h3 id="rce-in-mediaserver">Mediaserver 中的远程代码执行漏洞</h3>
<p>
Mediaserver 中有一个远程代码执行漏洞，当系统处理媒体文件和数据时，该漏洞可让攻击者利用蓄意创建的文件破坏内存。由于攻击者可以利用该漏洞通过 Mediaserver 进程远程执行代码，因此我们将该漏洞的严重程度评为“严重”。
</p>
<table>
  <colgroup><col width="18%" />
  <col width="18%" />
  <col width="10%" />
  <col width="19%" />
  <col width="17%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>已更新的 AOSP 版本</th>
    <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2016-6699</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/av/+/3b1c9f692c4d4b7a683c2b358fc89e831a641b88">A-31373622</a></td>
   <td>严重</td>
   <td>所有</td>
   <td>7.0</td>
   <td>2016 年 7 月 27 日</td>
  </tr>
</tbody></table>
<h3 id="eop-in-libzipfile">libzipfile 中的提权漏洞</h3>
<p>
libzipfile 中有一个提权漏洞，本地恶意应用可以利用该漏洞通过特权进程执行任意代码。由于攻击者可以利用该漏洞在本地发起永久损坏设备的攻击，而用户可能需要重写操作系统才能修复设备，因此我们将该漏洞的严重程度评为“严重”。
</p>
<table>
  <colgroup><col width="18%" />
  <col width="18%" />
  <col width="10%" />
  <col width="19%" />
  <col width="17%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>已更新的 AOSP 版本</th>
    <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2016-6700</td>
   <td>A-30916186</td>
   <td>严重</td>
   <td>无*</td>
   <td>4.4.4、5.0.2、5.1.1</td>
   <td>2016 年 8 月 17 日</td>
  </tr>
</tbody></table>
<p>
*运行 Android 7.0（或更高版本）且已安装所有可用更新的受支持 Google 设备不受该漏洞的影响。
</p>
<h3 id="rce-in-skia">Skia 中的远程代码执行漏洞</h3>
<p>
libskia 中有一个远程代码执行漏洞，当系统处理媒体文件和数据时，该漏洞可让攻击者利用蓄意创建的文件破坏内存。由于攻击者可以利用该漏洞通过图库进程远程执行代码，因此我们将该漏洞的严重程度评为“高”。
</p>
<table>
  <colgroup><col width="18%" />
  <col width="18%" />
  <col width="10%" />
  <col width="19%" />
  <col width="17%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>已更新的 AOSP 版本</th>
    <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2016-6701</td>
   <td><a href="https://android.googlesource.com/platform/external/skia/+/aca73722873e908633ff27375f6f93a08cbb7dd3">A-30190637</a></td>
   <td>高</td>
   <td>所有</td>
   <td>7.0</td>
   <td>Google 内部</td>
  </tr>
</tbody></table>
<h3 id="rce-in-libjpeg">libjpeg 中的远程代码执行漏洞</h3>
<p>
libjpeg 中有一个远程代码执行漏洞，该漏洞可让攻击者利用蓄意创建的文件通过非特权进程执行任意代码。由于攻击者可以利用该漏洞在使用 libjpeg 的应用中远程执行代码，因此我们将该漏洞的严重程度评为“高”。
</p>
<table>
  <colgroup><col width="18%" />
  <col width="18%" />
  <col width="10%" />
  <col width="19%" />
  <col width="17%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>已更新的 AOSP 版本</th>
    <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2016-6702</td>
   <td>A-30259087</td>
   <td>高</td>
   <td>无*</td>
   <td>4.4.4、5.0.2、5.1.1</td>
   <td>2016 年 7 月 19 日</td>
  </tr>
</tbody></table>
<p>
*运行 Android 7.0（或更高版本）且已安装所有可用更新的受支持 Google 设备不受该漏洞的影响。
</p>
<h3 id="rce-in-android-runtime">Android 运行时中的远程代码执行漏洞</h3>
<p>
Android 运行时库中有一个远程代码执行漏洞，该漏洞可让攻击者利用蓄意创建的有效负载通过非特权进程执行任意代码。由于攻击者可以利用该漏洞在使用 Android 运行时的应用中远程执行代码，因此我们将该漏洞的严重程度评为“高”。
</p>
<table>
  <colgroup><col width="18%" />
  <col width="18%" />
  <col width="10%" />
  <col width="19%" />
  <col width="17%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>已更新的 AOSP 版本</th>
    <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2016-6703</td>
   <td>A-30765246</td>
   <td>高</td>
   <td>无*</td>
   <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1</td>
   <td>Google 内部</td>
  </tr>
</tbody></table>
<p>
*运行 Android 7.0（或更高版本）且已安装所有可用更新的受支持 Google 设备不受该漏洞的影响。
</p>
<h3 id="eop-in-mediaserver">Mediaserver 中的提权漏洞</h3>
<p>
Mediaserver 中有一个提权漏洞，本地恶意应用可以利用该漏洞通过特权进程执行任意代码。由于攻击者可以利用该漏洞使第三方应用在本地获取通常无法获取的超出规定的权能，因此我们将该漏洞的严重程度评为“高”。
</p>
<table>
  <colgroup><col width="18%" />
  <col width="18%" />
  <col width="10%" />
  <col width="19%" />
  <col width="17%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>已更新的 AOSP 版本</th>
    <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2016-6704</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/av/+/c6c446f9e022adf20064e65a17574804f8af8e7d">A-30229821</a> [<a href="https://android.googlesource.com/platform/hardware/qcom/audio/+/9cb9810ecb63c8ff55ecf4bc77431dc5b0688b5f">2</a>] [<a href="https://android.googlesource.com/platform/system/media/+/a6274f03b4dfe1c3a22af51e3a17ea56a314e747">3</a>]</td>
   <td>高</td>
   <td>所有</td>
   <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1、7.0</td>
   <td>2016 年 7 月 19 日</td>
  </tr>
  <tr>
   <td>CVE-2016-6705</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/av/+/3a03fa24d21f97e84e796ac5ef14b3f434c0e8f1">A-30907212</a> [<a href="https://android.googlesource.com/platform/frameworks/av/+/bd04b47d38a89f1dada1c6da2ef4a3d235c166b8">2</a>]</td>
   <td>高</td>
   <td>所有</td>
   <td>5.0.2、5.1.1、6.0、6.0.1、7.0</td>
   <td>2016 年 8 月 16 日</td>
  </tr>
  <tr>
   <td>CVE-2016-6706</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/av/+/1d4feebdb85db46e138530f360d9ff2490e14353">A-31385713</a>
   </td>
   <td>高</td>
   <td>所有</td>
   <td>7.0</td>
   <td>2016 年 9 月 8 日</td>
  </tr>
</tbody></table>
<h3 id="eop-in-system-server">系统服务器中的提权漏洞</h3>
<p>
系统服务器中有一个提权漏洞，本地恶意应用可以利用该漏洞通过特权进程执行任意代码。由于攻击者可以利用该漏洞使第三方应用在本地获取通常无法获取的超出规定的权能，因此我们将该漏洞的严重程度评为“高”。
</p>
<table>
  <colgroup><col width="18%" />
  <col width="18%" />
  <col width="10%" />
  <col width="19%" />
  <col width="17%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>已更新的 AOSP 版本</th>
    <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2016-6707</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/base/+/16024ea7c4bae08c972cf6b3734029aad33e8870">A-31350622</a>
   </td>
   <td>高</td>
   <td>所有</td>
   <td>6.0、6.0.1、7.0</td>
   <td>2016 年 9 月 7 日</td>
  </tr>
</tbody></table>
<h3 id="eop-in-system-ui">系统界面中的提权漏洞</h3>
<p>
系统界面中有一个提权漏洞，本地恶意用户可以利用该漏洞在多窗口模式下绕过工作资料的安全提示。由于攻击者可以利用该漏洞在本地绕过适用于所有开发者或安全设置修改操作的用户互动要求，因此我们将该漏洞的严重程度评为“高”。
</p>
<table>
  <colgroup><col width="18%" />
  <col width="18%" />
  <col width="10%" />
  <col width="19%" />
  <col width="17%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>已更新的 AOSP 版本</th>
    <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2016-6708</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/base/+/c9c73fde339b4db496f2c1ff8c18df1e9db5a7c1">A-30693465</a>
   </td>
   <td>高</td>
   <td>所有</td>
   <td>7.0</td>
   <td>Google 内部</td>
  </tr>
</tbody></table>
<h3 id="id-in-conscrypt">Conscrypt 中的信息披露漏洞</h3>
<p>
Conscrypt 中有一个信息披露漏洞，当应用采用旧版加密 API 时，攻击者可以利用该漏洞访问敏感信息。由于攻击者可以利用该漏洞在未经许可的情况下访问数据，因此我们将该漏洞的严重程度评为“高”。
</p>
<table>
  <colgroup><col width="18%" />
  <col width="18%" />
  <col width="10%" />
  <col width="19%" />
  <col width="17%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>已更新的 AOSP 版本</th>
    <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2016-6709</td>
   <td><a href="https://android.googlesource.com/platform/external/conscrypt/+/44ef9535b9afb123d150d8e0362e4bb50794dd41">A-31081987</a>
   </td>
   <td>高</td>
   <td>所有</td>
   <td>6.0、6.0.1、7.0</td>
   <td>2015 年 10 月 9 日</td>
  </tr>
</tbody></table>
<h3 id="id-in-download-manager">内容下载管理器中的信息披露漏洞</h3>
<p>
内容下载管理器中有一个信息披露漏洞，本地恶意应用可以利用该漏洞绕过将应用数据与其他应用分隔开来的操作系统防护功能。由于应用可以利用该漏洞访问无权访问的数据，因此我们将该漏洞的严重程度评为“高”。
</p>
<table>
  <colgroup><col width="18%" />
  <col width="18%" />
  <col width="10%" />
  <col width="19%" />
  <col width="17%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>已更新的 AOSP 版本</th>
    <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2016-6710</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/base/+/9fab683c9598d234dd8461335c276ed3e37c91e8">A-30537115</a> [<a href="https://android.googlesource.com/platform/packages/providers/DownloadProvider/+/243e62949f7208d3b82eda3ee4ec22d3dbc1fb19">2</a>]</td>
   <td>高</td>
   <td>所有</td>
   <td>5.0.2、5.1.1、6.0、6.0.1、7.0</td>
   <td>2016 年 7 月 30 日</td>
  </tr>
</tbody></table>
<h3 id="dos-in-bluetooth">蓝牙中的拒绝服务漏洞</h3>
<p>
蓝牙中有一个拒绝服务漏洞，邻近区域内的攻击者可以利用该漏洞阻止蓝牙访问受影响的设备。由于攻击者可以利用该漏洞远程发起拒绝服务攻击，因此我们将该漏洞的严重程度评为“高”。
</p>
<table>
  <colgroup><col width="18%" />
  <col width="18%" />
  <col width="10%" />
  <col width="19%" />
  <col width="17%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>已更新的 AOSP 版本</th>
    <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2014-9908</td>
   <td>A-28672558</td>
   <td>高</td>
   <td>无*</td>
   <td>4.4.4、5.0.2、5.1.1</td>
   <td>2014 年 5 月 5 日</td>
  </tr>
</tbody></table>
<p>
*运行 Android 7.0（或更高版本）且已安装所有可用更新的受支持 Google 设备不受该漏洞的影响。
</p>
<h3 id="dos-in-openjdk">OpenJDK 中的拒绝服务漏洞</h3>
<p>
OpenJDK 中有一个远程拒绝服务漏洞，该漏洞可让攻击者利用蓄意创建的文件使设备挂起或重新启动。由于攻击者可以利用该漏洞远程发起拒绝服务攻击，因此我们将该漏洞的严重程度评为“高”。
</p>
<table>
  <colgroup><col width="18%" />
  <col width="18%" />
  <col width="10%" />
  <col width="19%" />
  <col width="17%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>已更新的 AOSP 版本</th>
    <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2015-0410</td>
   <td><a href="https://android.googlesource.com/platform/libcore/+/21098574528bdf99dd50a74a60e161573e999108">A-30703445</a>
   </td>
   <td>高</td>
   <td>所有</td>
   <td>7.0</td>
   <td>2015 年 1 月 16 日</td>
  </tr>
</tbody></table>
<h3 id="dos-in-mediaserver">Mediaserver 中的拒绝服务漏洞</h3>
<p>
Mediaserver 中有一个远程拒绝服务漏洞，该漏洞可让攻击者利用蓄意创建的文件使设备挂起或重新启动。由于攻击者可以利用该漏洞远程发起拒绝服务攻击，因此我们将该漏洞的严重程度评为“高”。
</p>
<table>
  <colgroup><col width="18%" />
  <col width="18%" />
  <col width="10%" />
  <col width="19%" />
  <col width="17%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>已更新的 AOSP 版本</th>
    <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2016-6711</td>
   <td><a href="https://android.googlesource.com/platform/external/libvpx/+/063be1485e0099bc81ace3a08b0ec9186dcad693">A-30593765</a>
   </td>
   <td>高</td>
   <td>无*</td>
   <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1</td>
   <td>2016 年 8 月 1 日</td>
  </tr>
  <tr>
   <td>CVE-2016-6712</td>
   <td><a href="https://android.googlesource.com/platform/external/libvpx/+/fdb1b40e7bb147c07bda988c9501ad223795d12d">A-30593752</a>
   </td>
   <td>高</td>
   <td>无*</td>
   <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1</td>
   <td>2016 年 8 月 1 日</td>
  </tr>
  <tr>
   <td>CVE-2016-6713</td>
   <td><a href="https://android.googlesource.com/platform/external/libavc/+/8cafca0e8b1ed8125918e203118c5a4e612fd56c">A-30822755</a></td>
   <td>高</td>
   <td>所有</td>
   <td>6.0、6.0.1、7.0</td>
   <td>2016 年 8 月 11 日</td>
  </tr>
  <tr>
   <td>CVE-2016-6714</td>
   <td><a href="https://android.googlesource.com/platform/external/libavc/+/5bdb0a6b72782e505671a387bb5f83222d891d6a">A-31092462</a>
   </td>
   <td>高</td>
   <td>所有</td>
   <td>6.0、6.0.1、7.0</td>
   <td>2016 年 8 月 22 日</td>
  </tr>
</tbody></table>
<p>
*运行 Android 7.0（或更高版本）且已安装所有可用更新的受支持 Google 设备不受该漏洞的影响。
</p>
<h3 id="eop-in-framework-apis">Framework API 中的提权漏洞</h3>
<p>
Framework API 中有一个提权漏洞，本地恶意应用可以利用该漏洞在未经用户许可的情况下录制音频。由于攻击者可以利用该漏洞在本地绕过用户互动要求（使用通常需要由用户启动的功能或需要获得用户许可才能使用的功能），因此我们将该漏洞的严重程度评为“中”。
</p>
<table>
  <colgroup><col width="18%" />
  <col width="18%" />
  <col width="10%" />
  <col width="19%" />
  <col width="17%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>已更新的 AOSP 版本</th>
    <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2016-6715</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/base/+/3de09838fb0996bb4b420630800ad34e828fd1b6">A-29833954</a>
   </td>
   <td>中</td>
   <td>所有</td>
   <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1、7.0</td>
   <td>2016 年 6 月 28 日</td>
  </tr>
</tbody></table>
<h3 id="eop-in-aosp-launcher">AOSP 启动器中的提权漏洞</h3>
<p>
AOSP 启动器中有一个提权漏洞，本地恶意应用可以利用该漏洞在未经用户同意的情况下创建具有超出规定的权限的快捷方式。由于攻击者可以利用该漏洞在本地绕过用户互动要求（使用通常需要由用户启动的功能或需要获得用户许可才能使用的功能），因此我们将该漏洞的严重程度评为“中”。
</p>
<table>
  <colgroup><col width="18%" />
  <col width="18%" />
  <col width="10%" />
  <col width="19%" />
  <col width="17%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>已更新的 AOSP 版本</th>
    <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2016-6716</td>
   <td><a href="https://android.googlesource.com/platform/packages/apps/Launcher3/+/e83fc11c982e67dd0181966f5f3a239ea6b14924">A-30778130</a>
   </td>
   <td>中</td>
   <td>所有</td>
   <td>7.0</td>
   <td>2016 年 8 月 5 日</td>
  </tr>
</tbody></table>
<h3 id="eop-in-mediaserver-1">Mediaserver 中的提权漏洞</h3>
<p>
Mediaserver 中有一个提权漏洞，本地恶意应用可以利用该漏洞通过特权进程执行任意代码。由于恶意应用在利用该漏洞时需要先入侵另一个漏洞，因此我们将该漏洞的严重程度评为“中”。
</p>
<table>
  <colgroup><col width="18%" />
  <col width="18%" />
  <col width="10%" />
  <col width="19%" />
  <col width="17%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>已更新的 AOSP 版本</th>
    <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2016-6717</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/av/+/45d9bbabbe7920bf4e0a68074b97d8260aef2e07">A-31350239</a>
   </td>
   <td>中</td>
   <td>所有</td>
   <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1、7.0</td>
   <td>2016 年 9 月 7 日</td>
  </tr>
</tbody></table>
<h3 id="eop-in-account-manager-service">帐号管理器服务中的提权漏洞</h3>
<p>
帐号管理器服务中有一个提权漏洞，本地恶意应用可以利用该漏洞在未经用户互动的情况下获取敏感信息。由于攻击者可以利用该漏洞在本地绕过用户互动要求（使用通常需要由用户启动的功能或需要获得用户许可才能使用的功能），因此我们将该漏洞的严重程度评为“中”。
</p>
<table>
  <colgroup><col width="18%" />
  <col width="18%" />
  <col width="10%" />
  <col width="19%" />
  <col width="17%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>已更新的 AOSP 版本</th>
    <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2016-6718</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/base/+/fecfd550edeca422c0d9f32a9c0abe73398a1ff1">A-30455516</a>
   </td>
   <td>中</td>
   <td>所有</td>
   <td>7.0</td>
   <td>Google 内部</td>
  </tr>
</tbody></table>
<h3 id="eop-in-bluetooth">蓝牙中的提权漏洞</h3>
<p>
蓝牙组件中有一个提权漏洞，本地恶意应用可以利用该漏洞在未经用户同意的情况下与任何蓝牙设备配对。由于攻击者可以利用该漏洞在本地绕过用户互动要求（使用通常需要由用户启动的功能或需要获得用户许可才能使用的功能），因此我们将该漏洞的严重程度评为“中”。
</p>
<table>
  <colgroup><col width="18%" />
  <col width="18%" />
  <col width="10%" />
  <col width="19%" />
  <col width="17%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>已更新的 AOSP 版本</th>
    <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2016-6719</td>
   <td><a href="https://android.googlesource.com/platform/packages/apps/Bluetooth/+/e1b6db10e913c09d0b695368336137f6aabee462">A-29043989</a> [<a href="https://android.googlesource.com/platform/frameworks/base/+/b1dc1757071ba46ee653d68f331486e86778b8e4">2</a>]</td>
   <td>中</td>
   <td>所有</td>
   <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1、7.0</td>
   <td>Google 内部</td>
  </tr>
</tbody></table>
<h3 id="id-in-mediaserver">Mediaserver 中的信息披露漏洞</h3>
<p>
Mediaserver 中有一个信息披露漏洞，本地恶意应用可以利用该漏洞访问超出其权限范围的数据。由于攻击者可以利用该漏洞在未经许可的情况下访问敏感数据，因此我们将该漏洞的严重程度评为“中”。
</p>
<table>
  <colgroup><col width="18%" />
  <col width="18%" />
  <col width="10%" />
  <col width="19%" />
  <col width="17%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>已更新的 AOSP 版本</th>
    <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2016-6720</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/av/+/0f177948ae2640bfe4d70f8e4248e106406b3b0a">A-29422020</a> [<a href="https://android.googlesource.com/platform/frameworks/av/+/2c75e1c3b98e4e94f50c63e2b7694be5f948477c">2</a>] [<a href="https://android.googlesource.com/platform/frameworks/av/+/7c88b498fda1c2b608a9dd73960a2fd4d7b7e3f7">3</a>] [<a href="https://android.googlesource.com/platform/frameworks/av/+/640b04121d7cd2cac90e2f7c82b97fce05f074a5">4</a>]</td>
   <td>中</td>
   <td>所有</td>
   <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1、7.0</td>
   <td>2016 年 6 月 15 日</td>
  </tr>
  <tr>
   <td>CVE-2016-6721</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/av/+/f6bf0102bdc1adff973e08d8ce9c869c4e2efade">A-30875060</a></td>
   <td>中</td>
   <td>所有</td>
   <td>6.0、6.0.1、7.0</td>
   <td>2016 年 8 月 13 日</td>
  </tr>
  <tr>
   <td>CVE-2016-6722</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/av/+/89c03b3b9ff74a507a8b8334c50b08b334483556">A-31091777</a></td>
   <td>中</td>
   <td>所有</td>
   <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1、7.0</td>
   <td>2016 年 8 月 23 日</td>
  </tr>
</tbody></table>
<h3 id="dos-in-proxy-auto-config">代理自动配置中的拒绝服务漏洞</h3>
<p>
代理自动配置中有一个拒绝服务漏洞，该漏洞可让远程攻击者利用蓄意创建的文件使设备挂起或重新启动。由于攻击者在利用该漏洞时需要采用不常用的设备配置，因此我们将该漏洞的严重程度评为“中”。
</p>
<table>
  <colgroup><col width="18%" />
  <col width="18%" />
  <col width="10%" />
  <col width="19%" />
  <col width="17%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>已更新的 AOSP 版本</th>
    <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2016-6723</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/base/+/d5b0d0b1df2e1a7943a4bb2034fd21487edd0264">A-30100884</a> [<a href="https://android.googlesource.com/platform/frameworks/base/+/31f351160cdfd9dbe9919682ebe41bde3bcf91c6">2</a>]</td>
   <td>中</td>
   <td>所有</td>
   <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1、7.0</td>
   <td>2016 年 7 月 11 日</td>
  </tr>
</tbody></table>
<h3 id="dos-in-input-manager-service">输入管理器服务中的拒绝服务漏洞</h3>
<p>
输入管理器服务中有一个拒绝服务漏洞，本地恶意应用可以利用该漏洞使设备不断重新启动。由于攻击者可以利用该漏洞发起暂时拒绝服务攻击，而用户可能需要将设备恢复出厂设置才能将其修复，因此我们将该漏洞的严重程度评为“中”。
</p>
<table>
  <colgroup><col width="18%" />
  <col width="18%" />
  <col width="10%" />
  <col width="19%" />
  <col width="17%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>已更新的 AOSP 版本</th>
    <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2016-6724</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/base/+/7625010a2d22f8c3f1aeae2ef88dde37cbebd0bf">A-30568284</a>
   </td>
   <td>中</td>
   <td>所有</td>
   <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1、7.0</td>
   <td>Google 内部</td>
  </tr>
</tbody></table>
<h2 id="2016-11-05-details">2016-11-05 安全补丁程序级别 - 漏洞详情</h2>
<p>
我们在下面提供了 2016-11-05 补丁程序级别涵盖的每个安全漏洞的详细信息，其中包括问题描述、严重程度阐释和一个表，该表中包含 CVE、相关参考内容、严重程度、已更新的 Google 设备、已更新的 AOSP 版本（如果适用）及报告日期。如果有解决相应问题的公开更改记录（例如 AOSP 代码更改列表），我们会将 Bug ID 链接到该记录。如果某个 Bug 有多条相关的更改记录，我们还将通过 Bug ID 后面的数字链接到更多参考内容。
</p>
<h3 id="rce-in-qualcomm-crypto-driver">Qualcomm 加密驱动程序中的远程代码执行漏洞</h3>
<p>
Qualcomm 加密驱动程序中有一个远程代码执行漏洞，远程攻击者可以利用该漏洞通过内核执行任意代码。由于攻击者可以利用该漏洞通过内核远程执行代码，因此我们将该漏洞的严重程度评为“严重”。
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2016-6725</td>
   <td>A-30515053<br />
<a href="https://source.codeaurora.org/quic/la//kernel/msm-3.10/commit/?id=cc95d644ee8a043f2883d65dda20e16f95041de3">QC-CR#1050970</a></td>
   <td>严重</td>
   <td>Nexus 5X、Nexus 6、Nexus 6P、Android One、Pixel、Pixel XL</td>
   <td>2016 年 7 月 25 日</td>
  </tr>
</tbody></table>
<h3 id="eop-in-kernel-file-system">内核文件系统中的提权漏洞</h3>
<p>
内核文件系统中有一个提权漏洞，本地恶意应用可以利用该漏洞通过内核执行任意代码。由于攻击者可以利用该漏洞在本地发起永久损坏设备的攻击，而用户可能需要重写操作系统才能修复设备，因此我们将该漏洞的严重程度评为“严重”。
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2015-8961</td>
   <td>A-30952474<br />
<a href="https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=6934da9238da947628be83635e365df41064b09b">上游内核</a></td>
   <td>严重</td>
   <td>Pixel、Pixel XL</td>
   <td>2015 年 10 月 18 日</td>
  </tr>
  <tr>
   <td>CVE-2016-7911</td>
   <td>A-30946378<br />
<a href="https://git.kernel.org/cgit/linux/kernel/git/stable/linux-stable.git/commit/?id=8ba8682107ee2ca3347354e018865d8e1967c5f4">上游内核</a></td>
   <td>严重</td>
   <td>Nexus 5X、Nexus 6、Nexus 6P、Nexus 9、Android One、Pixel C、Nexus Player、Pixel、Pixel XL</td>
   <td>2016 年 7 月 1 日</td>
  </tr>
  <tr>
   <td>CVE-2016-7910</td>
   <td>A-30942273<br />
<a href="https://git.kernel.org/cgit/linux/kernel/git/stable/linux-stable.git/commit/?id=77da160530dd1dc94f6ae15a981f24e5f0021e84">上游内核</a></td>
   <td>严重</td>
   <td>Nexus 5X、Nexus 6、Nexus 6P、Nexus 9、Android One、Pixel C、Nexus Player、Pixel、Pixel XL</td>
   <td>2016 年 7 月 29 日</td>
  </tr>
</tbody></table>
<h3 id="eop-in-kernel-scsi-driver">内核 SCSI 驱动程序中的提权漏洞</h3>
<p>
内核 SCSI 驱动程序中有一个提权漏洞，本地恶意应用可以利用该漏洞通过内核执行任意代码。由于攻击者可以利用该漏洞在本地发起永久损坏设备的攻击，而用户可能需要重写操作系统才能修复设备，因此我们将该漏洞的严重程度评为“严重”。
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2015-8962</td>
   <td>A-30951599<br />
<a href="https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=f3951a3709ff50990bf3e188c27d346792103432">上游内核</a></td>
   <td>严重</td>
   <td>Pixel、Pixel XL</td>
   <td>2015 年 10 月 30 日</td>
  </tr>
</tbody></table>
<h3 id="eop-in-kernel-media-driver">内核媒体驱动程序中的提权漏洞</h3>
<p>
内核媒体驱动程序中有一个提权漏洞，本地恶意应用可以利用该漏洞通过内核执行任意代码。由于攻击者可以利用该漏洞在本地发起永久损坏设备的攻击，而用户可能需要重写操作系统才能修复设备，因此我们将该漏洞的严重程度评为“严重”。
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2016-7913</td>
   <td>A-30946097<br />
<a href="https://git.kernel.org/cgit/linux/kernel/git/stable/linux-stable.git/commit/?id=8dfbcc4351a0b6d2f2d77f367552f48ffefafe18">上游内核</a></td>
   <td>严重</td>
   <td>Nexus 6P、Android One、Nexus Player、Pixel、Pixel XL</td>
   <td>2016 年 1 月 28 日</td>
  </tr>
</tbody></table>
<h3 id="eop-in-kernel-usb-driver">内核 USB 驱动程序中的提权漏洞</h3>
<p>
内核 USB 驱动程序中有一个提权漏洞，本地恶意应用可以利用该漏洞通过内核执行任意代码。由于攻击者可以利用该漏洞在本地发起永久损坏设备的攻击，而用户可能需要重写操作系统才能修复设备，因此我们将该漏洞的严重程度评为“严重”。
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2016-7912</td>
   <td>A-30950866<br />
<a href="https://git.kernel.org/cgit/linux/kernel/git/stable/linux-stable.git/commit/?id=38740a5b87d53ceb89eb2c970150f6e94e00373a">上游内核</a></td>
   <td>严重</td>
   <td>Pixel C、Pixel、Pixel XL</td>
   <td>2016 年 4 月 14 日</td>
  </tr>
</tbody></table>
<h3 id="eop-in-kernel-ion-subsystem">内核 ION 子系统中的提权漏洞</h3>
<p>
内核 ION 子系统中有一个提权漏洞，本地恶意应用可以利用该漏洞通过内核执行任意代码。由于攻击者可以利用该漏洞在本地发起永久损坏设备的攻击，而用户可能需要重写操作系统才能修复设备，因此我们将该漏洞的严重程度评为“严重”。
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2016-6728</td>
   <td>A-30400942*</td>
   <td>严重</td>
   <td>Nexus 5、Nexus 5X、Nexus 6、Nexus 6P、Nexus 9、Nexus Player、Pixel C、Android One</td>
   <td>2016 年 7 月 25 日</td>
  </tr>
</tbody></table>
<p>
*尚未公开发布针对该问题的补丁程序。<a href="https://developers.google.com/android/nexus/drivers">Google Developers 网站</a>上针对 Google 设备提供的最新二进制驱动程序中包含相应更新。
</p>
<h3 id="eop-in-qualcomm-bootloader">Qualcomm 引导加载程序中的提权漏洞</h3>
<p>
Qualcomm 引导加载程序中有一个提权漏洞，本地恶意应用可以利用该漏洞通过内核执行任意代码。由于攻击者可以利用该漏洞在本地发起永久损坏设备的攻击，而用户可能需要重写操作系统才能修复设备，因此我们将该漏洞的严重程度评为“严重”。
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2016-6729</td>
   <td>A-30977990*<br />QC-CR#977684</td>
   <td>严重</td>
   <td>Nexus 5X、Nexus 6、Nexus 6P、Android One、Pixel、Pixel XL</td>
   <td>2016 年 7 月 25 日</td>
  </tr>
</tbody></table>
<p>
*尚未公开发布针对该问题的补丁程序。<a href="https://developers.google.com/android/nexus/drivers">Google Developers 网站</a>上针对 Google 设备提供的最新二进制驱动程序中包含相应更新。
</p>
<h3 id="eop-in-nvidia-gpu-driver">NVIDIA GPU 驱动程序中的提权漏洞</h3>
<p>
NVIDIA GPU 驱动程序中有一个提权漏洞，本地恶意应用可以利用该漏洞通过内核执行任意代码。由于攻击者可以利用该漏洞在本地发起永久损坏设备的攻击，而用户可能需要重写操作系统才能修复设备，因此我们将该漏洞的严重程度评为“严重”。
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2016-6730</td>
   <td>A-30904789*<br />N-CVE-2016-6730</td>
   <td>严重</td>
   <td>Pixel C</td>
   <td>2016 年 8 月 16 日</td>
  </tr>
  <tr>
   <td>CVE-2016-6731</td>
   <td>A-30906023*<br />N-CVE-2016-6731</td>
   <td>严重</td>
   <td>Pixel C</td>
   <td>2016 年 8 月 16 日</td>
  </tr>
  <tr>
   <td>CVE-2016-6732</td>
   <td>A-30906599*<br />N-CVE-2016-6732</td>
   <td>严重</td>
   <td>Pixel C</td>
   <td>2016 年 8 月 16 日</td>
  </tr>
  <tr>
   <td>CVE-2016-6733</td>
   <td>A-30906694*<br />N-CVE-2016-6733</td>
   <td>严重</td>
   <td>Pixel C</td>
   <td>2016 年 8 月 16 日</td>
  </tr>
  <tr>
   <td>CVE-2016-6734</td>
   <td>A-30907120*<br />N-CVE-2016-6734</td>
   <td>严重</td>
   <td>Pixel C</td>
   <td>2016 年 8 月 16 日</td>
  </tr>
  <tr>
   <td>CVE-2016-6735</td>
   <td>A-30907701*<br />N-CVE-2016-6735</td>
   <td>严重</td>
   <td>Pixel C</td>
   <td>2016 年 8 月 16 日</td>
  </tr>
  <tr>
   <td>CVE-2016-6736</td>
   <td>A-30953284*<br />N-CVE-2016-6736</td>
   <td>严重</td>
   <td>Pixel C</td>
   <td>2016 年 8 月 18 日</td>
  </tr>
</tbody></table>
<p>
*尚未公开发布针对该问题的补丁程序。<a href="https://developers.google.com/android/nexus/drivers">Google Developers 网站</a>上针对 Google 设备提供的最新二进制驱动程序中包含相应更新。
</p>
<h3 id="eop-in-kernel-networking-subsystem">内核网络子系统中的提权漏洞</h3>
<p>
内核网络子系统中有一个提权漏洞，本地恶意应用可以利用该漏洞通过内核执行任意代码。由于攻击者可以利用该漏洞在本地发起永久损坏设备的攻击，而用户可能需要重写操作系统才能修复设备，因此我们将该漏洞的严重程度评为“严重”。
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2016-6828</td>
   <td>A-31183296<br />
<a href="https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/include/net/tcp.h?id=bb1fceca22492109be12640d49f5ea5a544c6bb4">上游内核</a></td>
   <td>严重</td>
   <td>Nexus 5X、Nexus 6、Nexus 6P、Nexus 9、Android One、Pixel C、Nexus Player、Pixel、Pixel XL</td>
   <td>2016 年 8 月 18 日</td>
  </tr>
</tbody></table>
<h3 id="eop-in-kernel-sound-subsystem">内核声音子系统中的提权漏洞</h3>
<p>
内核声音子系统中有一个提权漏洞，本地恶意应用可以利用该漏洞通过内核执行任意代码。由于攻击者可以利用该漏洞在本地发起永久损坏设备的攻击，而用户可能需要重写操作系统才能修复设备，因此我们将该漏洞的严重程度评为“严重”。
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2016-2184</td>
   <td>A-30952477<br />
<a href="https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=836b34a935abc91e13e63053d0a83b24dfb5ea78">上游内核</a></td>
   <td>严重</td>
   <td>Nexus 5X、Nexus 6、Nexus 6P、Nexus 9、Android One、Pixel C、Nexus Player、Pixel、Pixel XL</td>
   <td>2016 年 3 月 31 日</td>
  </tr>
</tbody></table>
<h3 id="eop-in-kernel-ion-subsystem-1">内核 ION 子系统中的提权漏洞</h3>
<p>
内核 ION 子系统中有一个提权漏洞，本地恶意应用可以利用该漏洞通过内核执行任意代码。由于攻击者可以利用该漏洞在本地发起永久损坏设备的攻击，而用户可能需要重写操作系统才能修复设备，因此我们将该漏洞的严重程度评为“严重”。
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2016-6737</td>
   <td>A-30928456*</td>
   <td>严重</td>
   <td>Nexus 5X、Nexus 6、Nexus 6P、Android One、Pixel C、Nexus Player、Pixel、Pixel XL</td>
   <td>Google 内部</td>
  </tr>
</tbody></table>
<p>
*尚未公开发布针对该问题的补丁程序。<a href="https://developers.google.com/android/nexus/drivers">Google Developers 网站</a>上针对 Google 设备提供的最新二进制驱动程序中包含相应更新。
</p>
<h3 id="vulnerabilities-in-qualcomm-components">Qualcomm 组件中的漏洞</h3>
<p>
下表中列出了会影响 Qualcomm 组件的安全漏洞，2016 年 6 月的 Qualcomm AMSS 安全公告和 80-NV606-17 安全提醒中对这些安全漏洞进行了详细说明。
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度*</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2016-6727</td>
   <td>A-31092400**</td>
   <td>严重</td>
   <td>Android One</td>
   <td>Qualcomm 内部</td>
  </tr>
  <tr>
   <td>CVE-2016-6726</td>
   <td>A-30775830**</td>
   <td>高</td>
   <td>Nexus 6、Android One</td>
   <td>Qualcomm 内部</td>
  </tr>
</tbody></table>
<p>*这些漏洞的严重程度评级是由供应商决定的。</p>
<p>
**尚未公开发布针对该问题的补丁程序。<a href="https://developers.google.com/android/nexus/drivers">Google Developers 网站</a>上针对 Google 设备提供的最新二进制驱动程序中包含相应更新。
</p>
<h3 id="rce-in-expat">Expat 中的远程代码执行漏洞</h3>
<p>
下表中列出了会影响 Expat 库的安全漏洞。这些问题中危险性最高的是 Expat XML 解析器中的一个提权漏洞，该漏洞可让攻击者利用蓄意创建的文件通过非特权进程执行任意代码。由于攻击者可以利用该漏洞在使用 Expat 的应用中执行任意代码，因此我们将该漏洞的严重程度评为“高”。
</p>
<table>
  <colgroup><col width="18%" />
  <col width="18%" />
  <col width="10%" />
  <col width="19%" />
  <col width="17%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>已更新的 AOSP 版本</th>
    <th>报告日期</th>
  </tr>

  <tr>
   <td>CVE-2016-0718</td>
   <td><a href="https://android.googlesource.com/platform/external/expat/+/52ac633b73856ded34b33bd4adb4ab793bbbe963">A-28698301</a></td>
   <td>高</td>
   <td>无*</td>
   <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1</td>
   <td>2016 年 5 月 10 日</td>
  </tr>
  <tr>
   <td>CVE-2012-6702</td>
   <td><a href="https://android.googlesource.com/platform/external/expat/+/a11ff32280a863bff93df13ad643912ad9bf1302">A-29149404</a></td>
   <td>中</td>
   <td>无*</td>
   <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1</td>
   <td>2016 年 3 月 6 日</td>
  </tr>
  <tr>
   <td>CVE-2016-5300</td>
   <td><a href="https://android.googlesource.com/platform/external/expat/+/a11ff32280a863bff93df13ad643912ad9bf1302">A-29149404</a></td>
   <td>中</td>
   <td>无*</td>
   <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1</td>
   <td>2016 年 6 月 4 日</td>
  </tr>
  <tr>
   <td>CVE-2015-1283</td>
   <td><a href="https://android.googlesource.com/platform/external/expat/+/13b40c2040a17038b63a61e2b112c634da203d3b">A-27818751</a></td>
   <td>低</td>
   <td>无*</td>
   <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1</td>
   <td>2015 年 7 月 24 日</td>
  </tr>
</tbody></table>

<p>
*运行 Android 7.0（或更高版本）且已安装所有可用更新的受支持 Google 设备不受该漏洞的影响。
</p>
<h3 id="rce-in-webview">WebView 中的远程代码执行漏洞</h3>
<p>
WebView 中有一个远程代码执行漏洞，当用户访问网站时，远程攻击者可以利用该漏洞执行任意代码。由于攻击者可以利用该漏洞通过非特权进程远程执行代码，因此我们将该漏洞的严重程度评为“高”。
</p>
<table>
  <colgroup><col width="18%" />
  <col width="18%" />
  <col width="10%" />
  <col width="19%" />
  <col width="17%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>已更新的 AOSP 版本</th>
    <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2016-6754</td>
   <td>A-31217937</td>
   <td>高</td>
   <td>无*</td>
   <td>5.0.2、5.1.1、6.0、6.0.1</td>
   <td>2016 年 8 月 23 日</td>
  </tr>
</tbody></table>
<p>
*运行 Android 7.0（或更高版本）且已安装所有可用更新的受支持 Google 设备不受该漏洞的影响。
</p>
<h3 id="rce-in-freetype">Freetype 中的远程代码执行漏洞</h3>
<p>
Freetype 中有一个远程代码执行漏洞，本地恶意应用可以利用该漏洞加载蓄意创建的字体，以通过非特权进程破坏内存。由于攻击者可以利用该漏洞在使用 Freetype 的应用中远程执行代码，因此我们将该漏洞的严重程度评为“高”。
</p>
<table>
  <colgroup><col width="18%" />
  <col width="18%" />
  <col width="10%" />
  <col width="19%" />
  <col width="17%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>已更新的 AOSP 版本</th>
    <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2014-9675</td>
   <td><a href="https://android.googlesource.com/platform/external/freetype/+/f720f0dbcf012d6c984dbbefa0875ef9840458c6">A-24296662</a> [<a href="https://android.googlesource.com/platform/external/pdfium/+/96f965ff7411f1edba72140fd70740e63cabec71">2</a>]</td>
   <td>高</td>
   <td>无*</td>
   <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1</td>
   <td>Google 内部</td>
  </tr>
</tbody></table>
<p>
*运行 Android 7.0（或更高版本）且已安装所有可用更新的受支持 Google 设备不受该漏洞的影响。
</p>
<h3 id="eop-in-kernel-performance-subsystem">内核效能子系统中的提权漏洞</h3>
<p>
内核效能子系统中有一个提权漏洞，本地恶意应用可以利用该漏洞通过内核执行任意代码。由于恶意应用在利用该漏洞时需要先入侵特权进程，因此我们将该漏洞的严重程度评为“高”。
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2015-8963</td>
   <td>A-30952077<br />
<a href="https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=12ca6ad2e3a896256f086497a7c7406a547ee373">上游内核</a></td>
   <td>高</td>
   <td>Nexus 5X、Nexus 6、Nexus 6P、Nexus 9、Android One、Pixel C、Nexus Player、Pixel、Pixel XL</td>
   <td>2015 年 12 月 15 日</td>
  </tr>
</tbody></table>
<h3 id="eop-in-kernel-system-call-auditing-subsystem">内核系统调用审核子系统中的提权漏洞</h3>
<p>
内核系统调用审核子系统中有一个提权漏洞，本地恶意应用可以利用该漏洞干扰内核中的系统调用审核。由于该漏洞可让攻击者全面深入地绕过内核级防护功能或利用缓解技术中存在的问题，因此我们将该漏洞的严重程度评为“高”。
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2016-6136</td>
   <td>A-30956807<br />
<a href="http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=43761473c254b45883a64441dd0bc85a42f3645c">上游内核</a></td>
   <td>高</td>
   <td>Android One、Pixel C、Nexus Player</td>
   <td>2016 年 7 月 1 日</td>
  </tr>
</tbody></table>
<h3 id="eop-in-qualcomm-crypto-engine-driver">Qualcomm 加密引擎驱动程序中的提权漏洞</h3>
<p>
Qualcomm 加密引擎驱动程序中有一个提权漏洞，本地恶意应用可以利用该漏洞通过内核执行任意代码。由于恶意应用在利用该漏洞时需要先入侵特权进程，因此我们将该漏洞的严重程度评为“高”。
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2016-6738</td>
   <td>A-30034511<br />
<a href="https://source.codeaurora.org/quic/la/kernel/msm-3.18/commit/?id=a829c54236b455885c3e9c7c77ac528b62045e79">QC-CR#1050538</a></td>
   <td>高</td>
   <td>Nexus 5X、Nexus 6、Nexus 6P、Android One、Pixel、Pixel XL</td>
   <td>2016 年 7 月 7 日</td>
  </tr>
</tbody></table>
<h3 id="eop-in-qualcomm-camera-driver">Qualcomm 摄像头驱动程序中的提权漏洞</h3>
<p>
Qualcomm 摄像头驱动程序中有一个提权漏洞，本地恶意应用可以利用该漏洞通过内核执行任意代码。由于恶意应用在利用该漏洞时需要先入侵特权进程，因此我们将该漏洞的严重程度评为“高”。
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2016-6739</td>
   <td>A-30074605*<br />QC-CR#1049826</td>
   <td>高</td>
   <td>Nexus 5X、Nexus 6P、Pixel、Pixel XL</td>
   <td>2016 年 7 月 11 日</td>
  </tr>
  <tr>
   <td>CVE-2016-6740</td>
   <td>A-30143904<br />
<a href="https://source.codeaurora.org/quic/la//kernel/msm-3.10/commit/?id=ef78bd62f0c064ae4c827e158d828b2c110ebcdc">QC-CR#1056307</a></td>
   <td>高</td>
   <td>Nexus 5X、Nexus 6、Nexus 6P、Android One、Pixel、Pixel XL</td>
   <td>2016 年 7 月 12 日</td>
  </tr>
  <tr>
   <td>CVE-2016-6741</td>
   <td>A-30559423<br />
<a href="https://source.codeaurora.org/quic/la//kernel/msm-3.18/commit/?id=d291eebd8e43bba3229ae7ef9146a132894dc293">QC-CR#1060554</a></td>
   <td>高</td>
   <td>Nexus 5X、Nexus 6、Nexus 6P、Android One、Pixel、Pixel XL</td>
   <td>2016 年 7 月 28 日</td>
  </tr>
</tbody></table>
<p>
*尚未公开发布针对该问题的补丁程序。<a href="https://developers.google.com/android/nexus/drivers">Google Developers 网站</a>上针对 Google 设备提供的最新二进制驱动程序中包含相应更新。
</p>
<h3 id="eop-in-qualcomm-bus-driver">Qualcomm 总线驱动程序中的提权漏洞</h3>
<p>
Qualcomm 总线驱动程序中有一个提权漏洞，本地恶意应用可以利用该漏洞通过内核执行任意代码。由于恶意应用在利用该漏洞时需要先入侵特权进程，因此我们将该漏洞的严重程度评为“高”。
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2016-3904</td>
   <td>A-30311977<br />
<a href="https://source.codeaurora.org/quic/la/kernel/msm-3.18/commit/?id=069683407ca9a820d05c914b57c587bcd3f16a3a">QC-CR#1050455</a></td>
   <td>高</td>
   <td>Nexus 5X、Nexus 6P、Pixel、Pixel XL</td>
   <td>2016 年 7 月 22 日</td>
  </tr>
</tbody></table>
<h3 id="eop-in-synaptics-touchscreen-driver">Synaptics 触摸屏驱动程序中的提权漏洞</h3>
<p>
Synaptics 触摸屏驱动程序中有一个提权漏洞，本地恶意应用可以利用该漏洞通过内核执行任意代码。由于恶意应用在利用该漏洞时需要先入侵特权进程，因此我们将该漏洞的严重程度评为“高”。
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2016-6742</td>
   <td>A-30799828*</td>
   <td>高</td>
   <td>Nexus 5X、Android One</td>
   <td>2016 年 8 月 9 日</td>
  </tr>
  <tr>
   <td>CVE-2016-6744</td>
   <td>A-30970485*</td>
   <td>高</td>
   <td>Nexus 5X</td>
   <td>2016 年 8 月 19 日</td>
  </tr>
  <tr>
   <td>CVE-2016-6745</td>
   <td>A-31252388*</td>
   <td>高</td>
   <td>Nexus 5X、Nexus 6P、Nexus 9、Android One、Pixel、Pixel XL</td>
   <td>2016 年 9 月 1 日</td>
  </tr>
  <tr>
   <td>CVE-2016-6743</td>
   <td>A-30937462*</td>
   <td>高</td>
   <td>Nexus 9、Android One</td>
   <td>Google 内部</td>
  </tr>
</tbody></table>
<p>
*尚未公开发布针对该问题的补丁程序。<a href="https://developers.google.com/android/nexus/drivers">Google Developers 网站</a>上针对 Google 设备提供的最新二进制驱动程序中包含相应更新。
</p>
<h3 id="id-in-kernel-components">内核组件中的信息披露漏洞</h3>
<p>
内核组件（包括人机接口设备驱动程序、文件系统和电传驱动程序）中有一个信息披露漏洞，本地恶意应用可以利用该漏洞访问超出其权限范围的数据。由于攻击者可以利用该漏洞在未经用户明确许可的情况下访问敏感数据，因此我们将该漏洞的严重程度评为“高”。
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2015-8964</td>
   <td>A-30951112<br />
<a href="https://git.kernel.org/cgit/linux/kernel/git/stable/linux-stable.git/commit/?id=dd42bf1197144ede075a9d4793123f7689e164bc">上游内核</a></td>
   <td>高</td>
   <td>Nexus 5X、Nexus 6、Nexus 6P、Nexus 9、Android One、Pixel C、Nexus Player、Pixel、Pixel XL</td>
   <td>2015 年 11 月 27 日</td>
  </tr>
  <tr>
   <td>CVE-2016-7915</td>
   <td>A-30951261<br />
<a href="https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=50220dead1650609206efe91f0cc116132d59b3f">上游内核</a></td>
   <td>高</td>
   <td>Nexus 5X、Nexus 6、Nexus 6P、Nexus 9、Android One、Pixel C、Nexus Player、Pixel、Pixel XL</td>
   <td>2016 年 1 月 19 日</td>
  </tr>
  <tr>
   <td>CVE-2016-7914</td>
   <td>A-30513364<br />
<a href="https://git.kernel.org/cgit/linux/kernel/git/stable/linux-stable.git/commit/?id=8d4a2ec1e0b41b0cf9a0c5cd4511da7f8e4f3de2">上游内核</a></td>
   <td>高</td>
   <td>Pixel C、Pixel、Pixel XL</td>
   <td>2016 年 4 月 6 日</td>
  </tr>
  <tr>
   <td>CVE-2016-7916</td>
   <td>A-30951939<br />
<a href="http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=8148a73c9901a8794a50f950083c00ccf97d43b3">上游内核</a></td>
   <td>高</td>
   <td>Nexus 5X、Nexus 6、Nexus 6P、Nexus 9、Android One、Pixel C、Nexus Player、Pixel、Pixel XL</td>
   <td>2016 年 5 月 5 日</td>
  </tr>
</tbody></table>
<h3 id="id-in-nvidia-gpu-driver">NVIDIA GPU 驱动程序中的信息披露漏洞</h3>
<p>
NVIDIA GPU 驱动程序中有一个信息披露漏洞，本地恶意应用可以利用该漏洞访问超出其权限范围的数据。由于攻击者可以利用该漏洞在未经用户明确许可的情况下访问敏感数据，因此我们将该漏洞的严重程度评为“高”。
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2016-6746</td>
   <td>A-30955105*<br />N-CVE-2016-6746</td>
   <td>高</td>
   <td>Pixel C</td>
   <td>2016 年 8 月 18 日</td>
  </tr>
</tbody></table>
<p>
*尚未公开发布针对该问题的补丁程序。<a href="https://developers.google.com/android/nexus/drivers">Google Developers 网站</a>上针对 Google 设备提供的最新二进制驱动程序中包含相应更新。
</p>
<h3 id="dos-in-mediaserver-1">Mediaserver 中的拒绝服务漏洞</h3>
<p>
Mediaserver 中有一个拒绝服务漏洞，该漏洞可让攻击者利用蓄意创建的文件使设备挂起或重新启动。由于攻击者可以利用该漏洞远程发起拒绝服务攻击，因此我们将该漏洞的严重程度评为“高”。
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2016-6747</td>
   <td>A-31244612*<br />N-CVE-2016-6747</td>
   <td>高</td>
   <td>Nexus 9</td>
   <td>Google 内部</td>
  </tr>
</tbody></table>
<p>
*尚未公开发布针对该问题的补丁程序。<a href="https://developers.google.com/android/nexus/drivers">Google Developers 网站</a>上针对 Google 设备提供的最新二进制驱动程序中包含相应更新。
</p>
<h3 id="id-in-kernel-components-1">内核组件中的信息披露漏洞</h3>
<p>
内核组件（包括进程分组子系统和网络子系统）中有一个信息披露漏洞，本地恶意应用可以利用该漏洞访问超出其权限范围的数据。由于恶意应用在利用该漏洞时需要先入侵特权进程，因此我们将该漏洞的严重程度评为“中”。
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2016-7917</td>
   <td>A-30947055<br />
<a href="https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=c58d6c93680f28ac58984af61d0a7ebf4319c241">上游内核</a></td>
   <td>中</td>
   <td>Pixel C、Pixel、Pixel XL</td>
   <td>2016 年 2 月 2 日</td>
  </tr>
  <tr>
   <td>CVE-2016-6753</td>
   <td>A-30149174*</td>
   <td>中</td>
   <td>Nexus 5X、Nexus 6、Nexus 6P、Nexus 9、Pixel C、Nexus Player、Pixel、Pixel XL</td>
   <td>2016 年 7 月 13 日</td>
  </tr>
</tbody></table>
<p>
*尚未公开发布针对该问题的补丁程序。<a href="https://developers.google.com/android/nexus/drivers">Google Developers 网站</a>上针对 Google 设备提供的最新二进制驱动程序中包含相应更新。
</p>
<h3 id="id-in-qualcomm-components">Qualcomm 组件中的信息披露漏洞</h3>
<p>
Qualcomm 组件（包括 GPU 驱动程序、电源驱动程序、SMSM 点对点驱动程序和声音驱动程序）中有一个信息披露漏洞，本地恶意应用可以利用该漏洞访问超出其权限范围的数据。由于恶意应用在利用该漏洞时需要先入侵特权进程，因此我们将该漏洞的严重程度评为“中”。
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2016-6748</td>
   <td>A-30076504<br />
<a href="https://source.codeaurora.org/quic/la//kernel/msm-3.10/commit/?id=be651d020b122a1ba9410d23ca4ebbe9f5598df6">QC-CR#987018</a></td>
   <td>中</td>
   <td>Nexus 5X、Nexus 6、Nexus 6P、Android One、Pixel、Pixel XL</td>
   <td>2016 年 7 月 12 日</td>
  </tr>
  <tr>
   <td>CVE-2016-6749</td>
   <td>A-30228438<br />
<a href="https://source.codeaurora.org/quic/la//kernel/msm-3.10/commit/?id=f9185dc83b92e7d1ee341e32e8cf5ed00a7253a7">QC-CR#1052818</a></td>
   <td>中</td>
   <td>Nexus 5X、Nexus 6P、Pixel、Pixel XL</td>
   <td>2016 年 7 月 12 日</td>
  </tr>
  <tr>
   <td>CVE-2016-6750</td>
   <td>A-30312054<br />
<a href="https://source.codeaurora.org/quic/la/kernel/msm-3.18/commit/?id=34bda711a1c7bc7f9fd7bea3a5be439ed00577e5">QC-CR#1052825</a></td>
   <td>中</td>
   <td>Nexus 5X、Nexus 6、Nexus 6P、Android One、Pixel、Pixel XL</td>
   <td>2016 年 7 月 21 日</td>
  </tr>
  <tr>
   <td>CVE-2016-3906</td>
   <td>A-30445973<br />
<a href="https://source.codeaurora.org/quic/la/kernel/msm-3.18/commit/?id=b333d32745fec4fb1098ee1a03d4425f3c1b4c2e">QC-CR#1054344</a></td>
   <td>中</td>
   <td>Nexus 5X、Nexus 6P</td>
   <td>2016 年 7 月 27 日</td>
  </tr>
  <tr>
   <td>CVE-2016-3907</td>
   <td>A-30593266<br />
<a href="https://source.codeaurora.org/quic/la//kernel/msm-3.10/commit/?id=744330f4e5d70dce71c4c9e03c5b6a8b59bb0cda">QC-CR#1054352</a></td>
   <td>中</td>
   <td>Nexus 5X、Nexus 6P、Pixel、Pixel XL</td>
   <td>2016 年 8 月 2 日</td>
  </tr>
  <tr>
   <td>CVE-2016-6698</td>
   <td>A-30741851<br />
<a href="https://source.codeaurora.org/quic/la//kernel/msm-3.10/commit/?id=de90beb76ad0b80da821c3b857dd30cd36319e61">QC-CR#1058826</a></td>
   <td>中</td>
   <td>Nexus 5X、Nexus 6P、Android One、Pixel、Pixel XL</td>
   <td>2016 年 8 月 2 日</td>
  </tr>
  <tr>
   <td>CVE-2016-6751</td>
   <td>A-30902162*<br />QC-CR#1062271</td>
   <td>中</td>
   <td>Nexus 5X、Nexus 6、Nexus 6P、Android One、Pixel、Pixel XL</td>
   <td>2016 年 8 月 15 日</td>
  </tr>
  <tr>
   <td>CVE-2016-6752</td>
   <td>A-31498159<br />
<a href="https://source.codeaurora.org/quic/la//kernel/msm-3.18/commit/?h=0de2c7600c8f1f0152a2f421c6593f931186400a">QC-CR#987051</a></td>
   <td>中</td>
   <td>Nexus 5X、Nexus 6、Nexus 6P、Android One、Pixel、Pixel XL</td>
   <td>Google 内部</td>
  </tr>
</tbody></table>
<p>
*尚未公开发布针对该问题的补丁程序。<a href="https://developers.google.com/android/nexus/drivers">Google Developers 网站</a>上针对 Google 设备提供的最新二进制驱动程序中包含相应更新。
</p>

<h2 id="2016-11-06-details">2016-11-06 安全补丁程序级别 - 漏洞详情</h2>
<p>
我们在下面提供了上述 <a href="#2016-11-06-summary">2016-11-06 安全补丁程序级别 - 漏洞摘要</a>中列出的每个安全漏洞的详细信息，其中包括问题描述、严重程度阐释和一个表，该表中包含 CVE、相关参考内容、严重程度、已更新的 Google 设备、已更新的 AOSP 版本（如果适用）及报告日期。如果有解决相应问题的公开更改记录（例如 AOSP 代码更改列表），我们会将 Bug ID 链接到该记录。如果某个 Bug 有多条相关的更改记录，我们还将通过 Bug ID 后面的数字链接到更多参考内容。</p>
<h3 id="eop-in-kernel-memory-subsystem">内核内存子系统中的提权漏洞</h3>
<p>
内核内存子系统中有一个提权漏洞，本地恶意应用可以利用该漏洞通过内核执行任意代码。由于攻击者可以利用该漏洞在本地发起永久损坏设备的攻击，而用户可能需要重写操作系统才能修复设备，因此我们将该漏洞的严重程度评为“严重”。
</p>
<p>
<strong>注意</strong>：如果安全补丁程序级别为 2016-11-06，则表明该问题以及 2016-11-01 和 2016-11-05 涵盖的所有问题均已得到解决。
</p>
<table>
  <tbody><tr>
   <th>CVE</th>
   <th>参考内容</th>
   <th>严重程度</th>
   <th>已更新的内核版本</th>
   <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2016-5195</td>
   <td>A-32141528<br />
<a href="https://git.kernel.org/cgit/linux/kernel/git/stable/linux-stable.git/commit/?id=9691eac5593ff1e2f82391ad327f21d90322aec1">上游内核</a> [<a href="https://git.kernel.org/cgit/linux/kernel/git/stable/linux-stable.git/commit/?id=e45a502bdeae5a075257c4f061d1ff4ff0821354">2</a>]</td>
   <td>严重</td>
   <td>3.10、3.18</td>
   <td>2016 年 10 月 12 日</td>
  </tr>
</tbody></table>
<h2 id="common-questions-and-answers">常见问题和解答</h2>
<p>
这一部分解答了用户在阅读本公告后可能会提出的常见问题。
</p>
<p>
<strong>1. 如何确定我的设备是否已通过更新解决这些问题？</strong>
</p>
<p>
要了解如何查看设备的安全补丁程序级别，请参阅 <a href="https://support.google.com/pixelphone/answer/4457705#pixel_phones&nexus_devices">Pixel 和 Nexus 更新时间表</a>中的说明。
</p>
<ul>
  <li>如果安全补丁程序级别是 2016-11-01 或更新，则意味着已解决 2016-11-01 安全补丁程序级别涵盖的所有问题。</li>
  <li>如果安全补丁程序级别是 2016-11-05 或更新，则意味着已解决 2016-11-05 以及之前的所有安全补丁程序级别涵盖的所有问题。</li>
  <li>如果安全补丁程序级别是 2016-11-06 或更新，则意味着已解决 2016-11-06 以及之前的所有安全补丁程序级别涵盖的所有问题。</li>
</ul>
<p>
预装这些更新的设备制造商应将补丁程序级别字符串设为：
</p>
<ul>
  <li>[ro.build.version.security_patch]:[2016-11-01]</li>
  <li>[ro.build.version.security_patch]:[2016-11-05]</li>
  <li>[ro.build.version.security_patch]:[2016-11-06]。</li>
</ul>
<p>
<strong>2. 为何本公告有 3 个安全补丁程序级别？</strong>
</p>
<p>
本公告之所以有 3 个安全补丁程序级别，是为了让 Android 合作伙伴能够灵活地、更快速地修复在各种 Android 设备上类似的一系列漏洞。我们建议 Android 合作伙伴修复本公告中的所有问题并使用最新的安全补丁程序级别。
</p>
<ul>
  <li>如果设备使用的是 2016 年 11 月 1 日这一安全补丁程序级别，则必须包含该安全补丁程序级别涵盖的所有问题以及之前的安全公告中报告的所有问题的修复程序。</li>
  <li>如果设备使用的是 2016 年 11 月 5 日或更新的安全补丁程序级别，则必须包含本安全公告（以及之前的安全公告）中的所有适用补丁程序。</li>
  <li>如果设备使用的是 2016 年 11 月 6 日或更新的安全补丁程序级别，则必须包含本安全公告（以及之前的安全公告）中的所有适用补丁程序。</li>
</ul>
<p>
我们建议合作伙伴将要解决的全部问题的修复程序打包到一个更新中。
</p>
<p id="google-devices">
<strong>3. 如何确定各个问题都会影响哪些 Google 设备？</strong>
</p>
<p>
在 <a href="#2016-11-01-details">2016-11-01</a>、<a href="#2016-11-05-details">2016-11-05</a> 和 <a href="#2016-11-06-details">2016-11-06</a> 安全漏洞详情部分，每个表中均包含“已更新的 Google 设备”列，其中列出了已针对每个问题进行更新的受影响 Google 设备。<em></em>此列有以下几种情形：
</p>
<ul>
  <li><strong>所有 Google 设备</strong>：如果问题会影响所有 Nexus 和 Pixel 设备，则相应表的“已更新的 Google 设备”列中会显示“所有”。<em></em>“所有”包含下列<a href="https://support.google.com/pixelphone/answer/4457705#pixel_phones&nexus_devices">受支持的设备</a>：Nexus 5、Nexus 5X、Nexus 6、Nexus 6P、Nexus 9、Android One、Nexus Player、Pixel C、Pixel 和 Pixel XL。</li>
  <li><strong>部分 Google 设备</strong>：如果问题仅会影响部分 Google 设备，则“已更新的 Google 设备”列中会列出受影响的 Google 设备。<em></em></li>
  <li><strong>无 Google 设备</strong>：如果问题不会影响任何运行 Android 7.0 的 Google 设备，则相应表的“已更新的 Google 设备”列中会显示“无”。<em></em></li>
</ul>
<p>
<strong>4.“参考内容”列中的条目对应的是什么内容？</strong>
</p>
<p>
在漏洞详情表内，“参考内容”列中的条目可能包含用于标识参考值所属组织的前缀。<em></em>这些前缀对应的内容如下：
</p>
<table>
  <tbody><tr>
   <th>前缀</th>
   <th>参考内容</th>
  </tr>
  <tr>
   <td>A-</td>
   <td>Android Bug ID</td>
  </tr>
  <tr>
   <td>QC-</td>
   <td>Qualcomm 参考编号</td>
  </tr>
  <tr>
   <td>M-</td>
   <td>MediaTek 参考编号</td>
  </tr>
  <tr>
   <td>N-</td>
   <td>NVIDIA 参考编号</td>
  </tr>
  <tr>
   <td>B-</td>
   <td>Broadcom 参考编号</td>
  </tr>
</tbody></table>

<h2 id="revisions">修订</h2>
<ul>
  <li>2016 年 11 月 7 日：发布了本公告。</li>
  <li>11 月 8 日：在本公告中添加了 AOSP 链接，并更新了 CVE-2016-6709 的说明。</li>
  <li>11 月 17 日：在本公告中添加了 CVE-2016-6828 的致谢信息。</li>
  <li>12 月 21 日：更新了研究人员名单。</li>
</ul>

</body></html>